# clock_desc_gettimeofday::timestamp Class Reference

`#include <_clock_gettimeofday.h>`

List of all members.

## Public Member Functions

| timestamp ()
timestamp | operator- (const timestamp &rhs) const
timestamp | operator+ (timestamp rhs) const
bool | operator< (const timestamp &rhs) const
bool | operator== (const timestamp &rhs) const
bool | operator!= (const timestamp &rhs) const

## Private Member Functions

| timestamp (int sec, int usec)

## Friends

class | clock_desc_gettimeofday

## Detailed Description

Definition at line 65 of file _clock_gettimeofday.h.

## Constructor & Destructor Documentation

clock_desc_gettimeofday::timestamp::timestamp | ( | int | sec,
|  | int | usec |
| ) |  |  | `[inline, private]`

Definition at line 67 of file _clock_gettimeofday.h.

clock_desc_gettimeofday::timestamp::timestamp | ( |  | ) | `[inline]`

Definition at line 72 of file _clock_gettimeofday.h.

## Member Function Documentation

timestamp clock_desc_gettimeofday::timestamp::operator- | ( | const timestamp & | rhs | ) | const`[inline]`

Definition at line 75 of file _clock_gettimeofday.h.

timestamp clock_desc_gettimeofday::timestamp::operator+ | ( | timestamp | rhs | ) | const`[inline]`

Definition at line 90 of file _clock_gettimeofday.h.

bool clock_desc_gettimeofday::timestamp::operator< | ( | const timestamp & | rhs | ) | const`[inline]`

Definition at line 104 of file _clock_gettimeofday.h.

bool clock_desc_gettimeofday::timestamp::operator== | ( | const timestamp & | rhs | ) | const`[inline]`

Definition at line 107 of file _clock_gettimeofday.h.

bool clock_desc_gettimeofday::timestamp::operator!= | ( | const timestamp & | rhs | ) | const`[inline]`

Definition at line 110 of file _clock_gettimeofday.h.

## Friends And Related Function Documentation

friend class clock_desc_gettimeofday `[friend]`

Definition at line 70 of file _clock_gettimeofday.h.

The documentation for this class was generated from the following file:

- _clock_gettimeofday.h